Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.util
Class DefaultCalendarFormatProvider

    java.lang.Object
      com.jaspersoft.jasperserver.war.util.DefaultCalendarFormatProvider

All Implemented Interfaces:
  CalendarFormatProvider

    public class DefaultCalendarFormatProvider

extends java.lang.Object
implements CalendarFormatProvider

Version:
  $Id: DefaultCalendarFormatProvider.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Robert Matei (robert.matei@geminisols.ro)

Constructor Summary
`DefaultCalendarFormatProvider()`

Method Summary
`java.lang.String` | `getCalendarDatePattern()`
`java.lang.String` | `getCalendarDatetimePattern()`
`java.text.DateFormat` | `getDateFormat()`
`protected java.lang.String` | `getDateFormatPattern()`
`java.text.DateFormat` | `getDatetimeFormat()`
`protected java.lang.String` | `getDatetimeFormatPattern()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCalendarFormatProvider

    public DefaultCalendarFormatProvider()

Method Detail

### getCalendarDatePattern

    public java.lang.String getCalendarDatePattern()

  Specified by:
    `getCalendarDatePattern` in interface `CalendarFormatProvider`

### getCalendarDatetimePattern

    public java.lang.String getCalendarDatetimePattern()

  Specified by:
    `getCalendarDatetimePattern` in interface `CalendarFormatProvider`

### getDateFormat

    public java.text.DateFormat getDateFormat()

  Specified by:
    `getDateFormat` in interface `CalendarFormatProvider`

### getDatetimeFormat

    public java.text.DateFormat getDatetimeFormat()

  Specified by:
    `getDatetimeFormat` in interface `CalendarFormatProvider`

### getDatetimeFormatPattern

    protected java.lang.String getDatetimeFormatPattern()

### getDateFormatPattern

    protected java.lang.String getDateFormatPattern()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.